OBCPL(1)

NAME
obcpl - BCPL compiler

SYNOPSIS
obcpl [ option ] ... file ...

DESCRIPTION
The command obcpl is an interface to the BCPL toolchain, and invokes compiler frontend, compiler backend, assembler, and linker in response to options and filenames presented as arguments.

In determining how to deal with any particular file, obcpl considers the last portion of the filename:

    •   Files with names ending in `.b' are assumed to be BCPL source files, and are processed starting at the frontend compilation stage.

    •   Files with names ending in `.O' are assumed to be OCODE files, and are processed starting at the backend compilation stage.

    •   Files with names ending in `.s' are assumed to be assembly language source files, and are processed starting at the assembly stage.

    •   Files with names ending in `.o' are assumed to be object files, and are passed to the linker.

Processing can be stopped at the end of any particular phase through the use of options. Options -C, -S, and -c cause processing to stop after the OCODE generation phase, the code generation phase, or the assembly phase, respectively. For each input file, the result is written to a file of the same name but with the suffix changed to `.O' or `.s' or `.o'.

The supported options are:

-c  Stop after assembly.

-C  Stop after processing by compiler frontend.

-ooutput
    Name the output file output rather than the default.

-O  Enable optimisation.

-S  Stop after processing by compiler backend.